Skip to content

Users represent the individuals that are participating in Kantata OX projects . User objects are often returned as nested JSON objects within other returned items such as posts or tasks.

Fetching visible users

Request

This endpoint allows you to access all visible users based on the permission level of the requester.

Note: This endpoint relies on project participation and will not return a member of your account who is not in a project. To see all users on the account, use the on_my_account option.

If the requester is an Account Administrator, the request will return all users who are participating in a project on the requester's account. In addition, it will return users not on the requester's account if they are participating in any project with an account member (either on the requester's account or their own account).

If the requester is not an Account Administrator, the request will only return users who are participating in a project with the requester.

This endpoint returns structured User objects. As with all Kantata OX API endpoints, the returned data will be referenced in sorted order in the results array and will be indexed by ID in the users top-level JSON key. Please see our Response Format section for more information.

Query
account_idinteger, (int32)

Only includes users on the specified account. This filter is not available in conjunction with the on_my_account option.

account_role_idsstring

Only includes users with a specified role ID. (Format: 'role_id,role_id').

all_contactsboolean

Returns all users in the requester's contact list.

assignable_to_resourceinteger, (int32)

Only includes users who can be assigned to a project resource with a specified ID.

belonging_to_orgsstring

Only includes users that belong to the specified geographies or departments (Format: 'geo_id,geo_id;dept_id,dept_id').

by_custom_choice_valuestring

Filter by a custom field choice value, represented as a string with the custom field ID, followed by a colon, and then comma-separated custom field choice value IDs. The custom field choice value can also be the word blank. Multiple custom fields can be delimited by semicolons or by parentheses and colons.

The following formats are supported:

  • custom_field_ID:choice_value_ID
  • custom_field_ID:choice_value_1_ID,choice_value_2_ID
  • custom_field_ID:blank
  • (custom_field_1_ID:choice_value_1_ID,choice_value_2_ID):(custom_field_2_ID:choice_value_3_ID).
by_custom_currency_valuestring

Filter by a custom field currency value, represented as a string with the custom field ID, followed by a colon, and then the currency value. Optionally, the currency ISO code can be supplied as well, separated from the currency value by another colon. Multiple custom fields can be delimited by semicolons or by parentheses and colons. The following formats are supported:

  • (1:200.2:USD):(2:100).
by_custom_date_valuestring

Filter by a custom field date value, represented as a string with the custom field ID, followed by a colon, the starting date, another colon, and then the ending date. You can provide both a starting date and ending date, or provide just one. Multiple custom fields can be delimited by semicolons or by parentheses and colons. The following formats are supported:

  • (1:2014-12-05:2014-12-25):(2:2014-12-05).
by_custom_number_valuestring

Filter by a custom field number value, represented as a string with the custom field ID, followed by a colon, and then the number value. Multiple custom fields can be delimited by semicolons or by parentheses and colons. The following formats are supported:

  • (1:200):(2:101).
by_custom_text_valuestring

Filter by a custom field text value, represented as a string with the custom field ID, followed by a colon, and then the text value. Multiple custom fields can be delimited by semicolons or by parentheses and colons. The following formats are supported:

  • (1:something):(2:else)
  • (1:something):(1:else) (multiple values for the same field, returns objects matching any value)
  • 1 (bare field ID with no value, returns all objects that have any value for that field).
by_email_addressstring

Only includes users whose email address exactly matches the specified address.

by_email_addressesstring

Return only users whose email addresses exactly match the specified email addresses. You can provide a list of comma-separated email addresses as a query parameter in the request URL or provide an array of email addresses in the request body. You can specify up to 200 email addresses.

by_full_namestring

Only includes users with all or part of the specified full name.

by_full_name_or_account_rolestring

Only includes users with a matching full_name or default_role specified a search term.

can_be_approver_in_workspaceinteger, (int32)

Only includes users that are providers and have financial access in a project with a specified ID.

can_view_reportsboolean

Only include users who have account level permission of reports viewer or above.

clients_onlyboolean

Only includes users that are in at least one project as a client.

consultants_onlyboolean

Only includes users that are in at least one project as a provider.

contacts_on_different_accountboolean

Returns all the users that are in the requester's contact list, but on seperate accounts.

created_afterstring, (date-time)

Filter for records created after a specified datetime. The datetime must be in ISO 8601 format.

created_beforestring, (date-time)

Filter for records created before a specified datetime. The datetime must be in ISO 8601 format.

external_reference_external_messagestring

Filter the objects based on the external message of their associated external references. This is an exact match.

external_reference_external_statusstring

Filter by the status of the external object in the external system.

external_reference_service_modelstring

Filter by the type of the external object this external reference belongs to.

external_reference_service_model_refinteger, (int32)

Filter by the id of the external object this external reference belongs to.

external_reference_service_model_refsstring

Filter for objects that correlate to the specified external object IDs. Provide a comma-separated list of up to 200 external IDs.

external_reference_service_namestring

Filter by the name of the provider for integration.

external_reference_statusstring

Filter by the status of the integration, this can be successful or fail.

has_external_referencesboolean

Filter by whether or not the object has external references.

has_value_for_custom_field_idsstring

Filter by the presence of a custom field value for the specified comma-separated custom field ID(s).

includestring

Any of the below associations can be included in your request by providing the include param, e.g. include=association1,association2.

  • account_membership (AccountMembership) - Retrieves the account membership of the user, which represents the relationship of a user to an account. The response will include account_membership_id, which references the data in the account_memberships top-level key.
  • custom_field_values (CustomFieldValue) - Retrieves the user's custom field values that are viewable for the current user. The response will include custom_field_value_ids, which references the data in the custom_field_values top-level key.
  • external_references (ExternalReference) - Includes references to external integrations for this object.
  • manager (User) - Retrieves the user's manager. The response will include manager_id, which references the data in the users top-level key.
  • role (Role) - Retrieves the user's account role. The response will include role_id, which references the data in the roles top-level key.
  • skill_memberships (SkillMembership) - Retrieves the skill memberships of the user, which represent skills that have been assigned to a user. The response will include skill_membership_ids, which references the data in the skill_memberships top-level key. The skill_memberships data will include the user's proficiency level (for skills which can be assigned proficiency levels).
  • skills (Skill) - Retrieves the user's skills. The response will include skill_ids, which references the data in the skills top-level key. The skills data will include the skill description and category ID.
  • work_samples (WorkSample) - Retrieves the user's portfolio items. The response will include work_sample_ids, which references the data in the work_samples top-level key.
is_project_leadboolean

Only include users who have account level permission of project lead or above.

managersboolean

Only include users who are managers.

Default:false
matchingstring
not_assigned_tointeger, (int32)

Only includes users who are not assigned to a task with specified ID.

not_followinginteger, (int32)

Only includes users who are not following a task with the specified ID.

not_on_calendarsstring

Only includes users who are not added to the specified holiday calendars (Format: 'calendar_id,calendar_id,calendar_id'.

not_participant_ininteger, (int32)

Only includes users not participating in a project with a specified ID.

on_my_accountboolean

Returns all users on the requester's account.

on_my_account_or_participant_in_workspaceinteger, (int32)

Returns all the users that are on the account, as well as all users participating in the provided workspace ID.

onlystring

Allows you to request one or more resources directly by ID. Multiple IDs can be supplied in a comma separated list, like GET /api/v1/workspaces.json?only=5,6,7.

only_possible_manageesboolean

Only includes possible managees on the account.

only_possible_managersboolean

Only includes possible managers on the account.

optional_fieldsArray of strings

Allows you to request one or more optional fields as an array.

Items Enum:"bio""website""city""state""country""abbreviated_timezone""last_site_activity""classification"
orderstring

Supply order with the name of a valid sort field for the endpoint and a direction.

Valid values: alphabetical:asc and alphabetical:desc.

Default:"alphabetical:asc"
pageinteger, (int32)
Default:1
participant_ininteger, (int32)

Only includes users participating in a project with a specified ID.

per_pageinteger, (int32), <= 200
Default:20
potential_followers_for_storyinteger, (int32)

Only includes users who are able to follow a task with the specified ID.

provider_leads_on_account_projectsboolean

Only includes users who are providers and leads in projects on the requester's account.

searchstring
show_disabledboolean

Includes users with an inactive account membership and users who have been disabled by the Kantata team.

Default:false
show_users_in_insights_groupsboolean

Only includes users who have access to insights.

updated_afterstring, (date-time)

Filter for records updated after a specified datetime. The datetime must be in ISO 8601 format.

updated_beforestring, (date-time)

Filter for records updated before a specified datetime. The datetime must be in ISO 8601 format.

with_created_estimatesboolean

Only include users who have created an estimate.

Default:false
with_organizationsboolean

Only includes users that have an organization (true) or only includes users that do not have an organization (false).

with_skillsstring

Only includes users with a set of skills at the specified levels (Format: '{'skill_id':[level,level],'skill_id':[level],'operation':'<or/and>'}').

with_usersArray of integers, (int32)

Include only users for the provided IDs (Format: 'id,id,id').

without_external_reference_service_namestring

Exclude by the existence of an external reference with the specified service name.

without_skillsstring

Only includes users without the specified set of skills (Format: 'id,id,id').

without_timesheet_submissionstring

Only include users who have not submitted a timesheet in a project between the specified start and end dates. (Format: 'workspace_id:start_date:end_date').

without_usersArray of integers, (int32)

Exclude users for the provided IDs (Format: 'id,id,id').

write_access_ininteger, (int32)

Only includes users who are participating in a project with a specified ID, and are not read-only in the project.

GET
/users
curl -i -X GET \
  'https://api.mavenlink.com/api/v1/users?account_id=0&account_role_ids=string&all_contacts=true&assignable_to_resource=0&belonging_to_orgs=string&by_custom_choice_value=string&by_custom_currency_value=string&by_custom_date_value=string&by_custom_number_value=string&by_custom_text_value=string&by_email_address=string&by_email_addresses=string&by_full_name=string&by_full_name_or_account_role=string&can_be_approver_in_workspace=0&can_view_reports=true&clients_only=true&consultants_only=true&contacts_on_different_account=true&created_after=2019-08-24T14%3A15%3A22Z&created_before=2019-08-24T14%3A15%3A22Z&external_reference_external_message=string&external_reference_external_status=string&external_reference_service_model=string&external_reference_service_model_ref=0&external_reference_service_model_refs=string&external_reference_service_name=string&external_reference_status=string&has_external_references=true&has_value_for_custom_field_ids=string&include=string&is_project_lead=true&managers=false&matching=string&not_assigned_to=0&not_following=0&not_on_calendars=string&not_participant_in=0&on_my_account=true&on_my_account_or_participant_in_workspace=0&only=string&only_possible_managees=true&only_possible_managers=true&optional_fields=bio&order=alphabetical%3Aasc&page=1&participant_in=0&per_page=20&potential_followers_for_story=0&provider_leads_on_account_projects=true&search=string&show_disabled=false&show_users_in_insights_groups=true&updated_after=2019-08-24T14%3A15%3A22Z&updated_before=2019-08-24T14%3A15%3A22Z&with_created_estimates=false&with_organizations=true&with_skills=string&with_users=0&without_external_reference_service_name=string&without_skills=string&without_timesheet_submission=string&without_users=0&write_access_in=0'

Responses

A list of Users have been retrieved.

Bodyapplication/json
countinteger, (int32)
metaobject
resultsArray of objects
usersobject
external_referencesobject
rolesobject
skillsobject
skill_membershipsobject
account_membershipsobject
work_samplesobject
custom_field_valuesobject
Response
{ "count": 0, "meta": { "count": 0, "page_count": 0, "page_number": 0, "page_size": 0 }, "results": [ { "key": "string", "id": "string" } ], "users": { "property1": { "abbreviated_timezone": "string", "account_membership_id": "string", "bio": "string", "city": "string", "classification": "string", "country": "string", "custom_field_value_ids": [ "string" ], "email_address": "string", "external_reference_ids": [ "string" ], "full_name": "string", "headline": "string", "last_site_activity": "2019-08-24T14:15:22Z", "manager_id": "string", "photo_path": "string", "role_id": "string", "skill_ids": [ "string" ], "skill_membership_ids": [ "string" ], "state": "string", "website": "string", "work_sample_ids": [ "string" ] }, "property2": { "abbreviated_timezone": "string", "account_membership_id": "string", "bio": "string", "city": "string", "classification": "string", "country": "string", "custom_field_value_ids": [ "string" ], "email_address": "string", "external_reference_ids": [ "string" ], "full_name": "string", "headline": "string", "last_site_activity": "2019-08-24T14:15:22Z", "manager_id": "string", "photo_path": "string", "role_id": "string", "skill_ids": [ "string" ], "skill_membership_ids": [ "string" ], "state": "string", "website": "string", "work_sample_ids": [ "string" ] } }, "external_references": { "property1": { "created_at": "2019-08-24T14:15:22Z", "external_link": "string", "external_message": "string", "external_status": "string", "last_synced_at": "2019-08-24T14:15:22Z", "locked": true, "service_model": "string", "service_model_ref": "string", "service_name": "string", "status": "string", "subject_id": 0, "subject_ref": { "key": "string", "id": "string" }, "subject_type": "string", "updated_at": "2019-08-24T14:15:22Z" }, "property2": { "created_at": "2019-08-24T14:15:22Z", "external_link": "string", "external_message": "string", "external_status": "string", "last_synced_at": "2019-08-24T14:15:22Z", "locked": true, "service_model": "string", "service_model_ref": "string", "service_name": "string", "status": "string", "subject_id": 0, "subject_ref": { "key": "string", "id": "string" }, "subject_type": "string", "updated_at": "2019-08-24T14:15:22Z" } }, "roles": { "property1": { "created_at": "2019-08-24T14:15:22Z", "deleted_at": "2019-08-24T14:15:22Z", "external_reference_ids": [ "string" ], "name": "string", "updated_at": "2019-08-24T14:15:22Z" }, "property2": { "created_at": "2019-08-24T14:15:22Z", "deleted_at": "2019-08-24T14:15:22Z", "external_reference_ids": [ "string" ], "name": "string", "updated_at": "2019-08-24T14:15:22Z" } }, "skills": { "property1": { "created_at": "2019-08-24T14:15:22Z", "description": "string", "external_reference_ids": [ "string" ], "max_level": "string", "name": "string", "skill_category_id": "string", "updated_at": "2019-08-24T14:15:22Z" }, "property2": { "created_at": "2019-08-24T14:15:22Z", "description": "string", "external_reference_ids": [ "string" ], "max_level": "string", "name": "string", "skill_category_id": "string", "updated_at": "2019-08-24T14:15:22Z" } }, "skill_memberships": { "property1": { "cached_skill_name": "string", "created_at": "2019-08-24T14:15:22Z", "creator_id": "string", "level": 0, "max_level": 0, "skill_id": "string", "updated_at": "2019-08-24T14:15:22Z", "user_id": "string" }, "property2": { "cached_skill_name": "string", "created_at": "2019-08-24T14:15:22Z", "creator_id": "string", "level": 0, "max_level": 0, "skill_id": "string", "updated_at": "2019-08-24T14:15:22Z", "user_id": "string" } }, "account_memberships": { "property1": { "backup_approver_association_ids": [ "string" ], "bill_rate_in_cents": 0, "billability_target": 0, "can_create_workspace": true, "can_log_in": true, "can_view_reports": true, "collaborator_only_license": true, "cost_rate_ids": [ "string" ], "cost_rate_in_cents": 0, "created_at": "2019-08-24T14:15:22Z", "default_read_only": true, "default_role_id": "string", "disabled_at": "2019-08-24T14:15:22Z", "effective_workweek_id": "string", "future_billable_utilization_ids": [ "string" ], "is_administrator": true, "is_backup_approver": true, "is_owner": true, "is_project_lead": true, "is_punch_clock_user": true, "managee_ids": [ "string" ], "manager_can_approve": true, "manager_can_edit_skills": true, "manager_id": "string", "non_participant": true, "permission": "string", "possible_managee_ids": [ "string" ], "possible_manager_ids": [ "string" ], "should_show_alert_on_timesheet_submission": true, "skill_membership_ids": [ "string" ], "updated_at": "2019-08-24T14:15:22Z", "user_id": "string" }, "property2": { "backup_approver_association_ids": [ "string" ], "bill_rate_in_cents": 0, "billability_target": 0, "can_create_workspace": true, "can_log_in": true, "can_view_reports": true, "collaborator_only_license": true, "cost_rate_ids": [ "string" ], "cost_rate_in_cents": 0, "created_at": "2019-08-24T14:15:22Z", "default_read_only": true, "default_role_id": "string", "disabled_at": "2019-08-24T14:15:22Z", "effective_workweek_id": "string", "future_billable_utilization_ids": [ "string" ], "is_administrator": true, "is_backup_approver": true, "is_owner": true, "is_project_lead": true, "is_punch_clock_user": true, "managee_ids": [ "string" ], "manager_can_approve": true, "manager_can_edit_skills": true, "manager_id": "string", "non_participant": true, "permission": "string", "possible_managee_ids": [ "string" ], "possible_manager_ids": [ "string" ], "should_show_alert_on_timesheet_submission": true, "skill_membership_ids": [ "string" ], "updated_at": "2019-08-24T14:15:22Z", "user_id": "string" } }, "work_samples": { "property1": { "attachment_filename": "string", "attachment_id": "string", "description": "string", "title": "string", "trapped_website_url": "string", "website_url": "string" }, "property2": { "attachment_filename": "string", "attachment_id": "string", "description": "string", "title": "string", "trapped_website_url": "string", "website_url": "string" } }, "custom_field_values": { "property1": { "account_id": 0, "can_edit": true, "created_at": "2019-08-24T14:15:22Z", "custom_field_id": "string", "custom_field_name": "string", "display_value": "string", "external_reference_ids": [ "string" ], "selected_choice_ids": [ "string" ], "setter_id": "string", "subject_id": 0, "subject_ref": { "key": "string", "id": "string" }, "subject_type": "string", "type": "string", "updated_at": "2019-08-24T14:15:22Z", "value": "string" }, "property2": { "account_id": 0, "can_edit": true, "created_at": "2019-08-24T14:15:22Z", "custom_field_id": "string", "custom_field_name": "string", "display_value": "string", "external_reference_ids": [ "string" ], "selected_choice_ids": [ "string" ], "setter_id": "string", "subject_id": 0, "subject_ref": { "key": "string", "id": "string" }, "subject_type": "string", "type": "string", "updated_at": "2019-08-24T14:15:22Z", "value": "string" } } }

Users represent the individuals that are participating in Kantata OX projects . User objects are often returned as nested JSON objects within other returned items such as posts or tasks.

Fetching visible users

Request

This endpoint allows you to access all visible users based on the permission level of the requester.

Note: This endpoint relies on project participation and will not return a member of your account who is not in a project. To see all users on the account, use the on_my_account option.

If the requester is an Account Administrator, the request will return all users who are participating in a project on the requester's account. In addition, it will return users not on the requester's account if they are participating in any project with an account member (either on the requester's account or their own account).

If the requester is not an Account Administrator, the request will only return users who are participating in a project with the requester.

This endpoint returns structured User objects. As with all Kantata OX API endpoints, the returned data will be referenced in sorted order in the results array and will be indexed by ID in the users top-level JSON key. Please see our Response Format section for more information.

Query
account_idinteger, (int32)

Only includes users on the specified account. This filter is not available in conjunction with the on_my_account option.

account_role_idsstring

Only includes users with a specified role ID. (Format: 'role_id,role_id').

all_contactsboolean

Returns all users in the requester's contact list.

assignable_to_resourceinteger, (int32)

Only includes users who can be assigned to a project resource with a specified ID.

belonging_to_orgsstring

Only includes users that belong to the specified geographies or departments (Format: 'geo_id,geo_id;dept_id,dept_id').

by_custom_choice_valuestring

Filter by a custom field choice value, represented as a string with the custom field ID, followed by a colon, and then comma-separated custom field choice value IDs. The custom field choice value can also be the word blank. Multiple custom fields can be delimited by semicolons or by parentheses and colons.

The following formats are supported:

  • custom_field_ID:choice_value_ID
  • custom_field_ID:choice_value_1_ID,choice_value_2_ID
  • custom_field_ID:blank
  • (custom_field_1_ID:choice_value_1_ID,choice_value_2_ID):(custom_field_2_ID:choice_value_3_ID).
by_custom_currency_valuestring

Filter by a custom field currency value, represented as a string with the custom field ID, followed by a colon, and then the currency value. Optionally, the currency ISO code can be supplied as well, separated from the currency value by another colon. Multiple custom fields can be delimited by semicolons or by parentheses and colons. The following formats are supported:

  • (1:200.2:USD):(2:100).
by_custom_date_valuestring

Filter by a custom field date value, represented as a string with the custom field ID, followed by a colon, the starting date, another colon, and then the ending date. You can provide both a starting date and ending date, or provide just one. Multiple custom fields can be delimited by semicolons or by parentheses and colons. The following formats are supported:

  • (1:2014-12-05:2014-12-25):(2:2014-12-05).
by_custom_number_valuestring

Filter by a custom field number value, represented as a string with the custom field ID, followed by a colon, and then the number value. Multiple custom fields can be delimited by semicolons or by parentheses and colons. The following formats are supported:

  • (1:200):(2:101).
by_custom_text_valuestring

Filter by a custom field text value, represented as a string with the custom field ID, followed by a colon, and then the text value. Multiple custom fields can be delimited by semicolons or by parentheses and colons. The following formats are supported:

  • (1:something):(2:else)
  • (1:something):(1:else) (multiple values for the same field, returns objects matching any value)
  • 1 (bare field ID with no value, returns all objects that have any value for that field).
by_email_addressstring

Only includes users whose email address exactly matches the specified address.

by_email_addressesstring

Return only users whose email addresses exactly match the specified email addresses. You can provide a list of comma-separated email addresses as a query parameter in the request URL or provide an array of email addresses in the request body. You can specify up to 200 email addresses.

by_full_namestring

Only includes users with all or part of the specified full name.

by_full_name_or_account_rolestring

Only includes users with a matching full_name or default_role specified a search term.

can_be_approver_in_workspaceinteger, (int32)

Only includes users that are providers and have financial access in a project with a specified ID.

can_view_reportsboolean

Only include users who have account level permission of reports viewer or above.

clients_onlyboolean

Only includes users that are in at least one project as a client.

consultants_onlyboolean

Only includes users that are in at least one project as a provider.

contacts_on_different_accountboolean

Returns all the users that are in the requester's contact list, but on seperate accounts.

created_afterstring, (date-time)

Filter for records created after a specified datetime. The datetime must be in ISO 8601 format.

created_beforestring, (date-time)

Filter for records created before a specified datetime. The datetime must be in ISO 8601 format.

external_reference_external_messagestring

Filter the objects based on the external message of their associated external references. This is an exact match.

external_reference_external_statusstring

Filter by the status of the external object in the external system.

external_reference_service_modelstring

Filter by the type of the external object this external reference belongs to.

external_reference_service_model_refinteger, (int32)

Filter by the id of the external object this external reference belongs to.

external_reference_service_model_refsstring

Filter for objects that correlate to the specified external object IDs. Provide a comma-separated list of up to 200 external IDs.

external_reference_service_namestring

Filter by the name of the provider for integration.

external_reference_statusstring

Filter by the status of the integration, this can be successful or fail.

has_external_referencesboolean

Filter by whether or not the object has external references.

has_value_for_custom_field_idsstring

Filter by the presence of a custom field value for the specified comma-separated custom field ID(s).

includestring

Any of the below associations can be included in your request by providing the include param, e.g. include=association1,association2.

  • account_membership (AccountMembership) - Retrieves the account membership of the user, which represents the relationship of a user to an account. The response will include account_membership_id, which references the data in the account_memberships top-level key.
  • custom_field_values (CustomFieldValue) - Retrieves the user's custom field values that are viewable for the current user. The response will include custom_field_value_ids, which references the data in the custom_field_values top-level key.
  • external_references (ExternalReference) - Includes references to external integrations for this object.
  • manager (User) - Retrieves the user's manager. The response will include manager_id, which references the data in the users top-level key.
  • role (Role) - Retrieves the user's account role. The response will include role_id, which references the data in the roles top-level key.
  • skill_memberships (SkillMembership) - Retrieves the skill memberships of the user, which represent skills that have been assigned to a user. The response will include skill_membership_ids, which references the data in the skill_memberships top-level key. The skill_memberships data will include the user's proficiency level (for skills which can be assigned proficiency levels).
  • skills (Skill) - Retrieves the user's skills. The response will include skill_ids, which references the data in the skills top-level key. The skills data will include the skill description and category ID.
  • work_samples (WorkSample) - Retrieves the user's portfolio items. The response will include work_sample_ids, which references the data in the work_samples top-level key.
is_project_leadboolean

Only include users who have account level permission of project lead or above.

managersboolean

Only include users who are managers.

Default:false
matchingstring
not_assigned_tointeger, (int32)

Only includes users who are not assigned to a task with specified ID.

not_followinginteger, (int32)

Only includes users who are not following a task with the specified ID.

not_on_calendarsstring

Only includes users who are not added to the specified holiday calendars (Format: 'calendar_id,calendar_id,calendar_id'.

not_participant_ininteger, (int32)

Only includes users not participating in a project with a specified ID.

on_my_accountboolean

Returns all users on the requester's account.

on_my_account_or_participant_in_workspaceinteger, (int32)

Returns all the users that are on the account, as well as all users participating in the provided workspace ID.

onlystring

Allows you to request one or more resources directly by ID. Multiple IDs can be supplied in a comma separated list, like GET /api/v1/workspaces.json?only=5,6,7.

only_possible_manageesboolean

Only includes possible managees on the account.

only_possible_managersboolean

Only includes possible managers on the account.

optional_fieldsArray of strings

Allows you to request one or more optional fields as an array.

Items Enum:"bio""website""city""state""country""abbreviated_timezone""last_site_activity""classification"
orderstring

Supply order with the name of a valid sort field for the endpoint and a direction.

Valid values: alphabetical:asc and alphabetical:desc.

Default:"alphabetical:asc"
pageinteger, (int32)
Default:1
participant_ininteger, (int32)

Only includes users participating in a project with a specified ID.

per_pageinteger, (int32), <= 200
Default:20
potential_followers_for_storyinteger, (int32)

Only includes users who are able to follow a task with the specified ID.

provider_leads_on_account_projectsboolean

Only includes users who are providers and leads in projects on the requester's account.

searchstring
show_disabledboolean

Includes users with an inactive account membership and users who have been disabled by the Kantata team.

Default:false
show_users_in_insights_groupsboolean

Only includes users who have access to insights.

updated_afterstring, (date-time)

Filter for records updated after a specified datetime. The datetime must be in ISO 8601 format.

updated_beforestring, (date-time)

Filter for records updated before a specified datetime. The datetime must be in ISO 8601 format.

with_created_estimatesboolean

Only include users who have created an estimate.

Default:false
with_organizationsboolean

Only includes users that have an organization (true) or only includes users that do not have an organization (false).

with_skillsstring

Only includes users with a set of skills at the specified levels (Format: '{'skill_id':[level,level],'skill_id':[level],'operation':'<or/and>'}').

with_usersArray of integers, (int32)

Include only users for the provided IDs (Format: 'id,id,id').

without_external_reference_service_namestring

Exclude by the existence of an external reference with the specified service name.

without_skillsstring

Only includes users without the specified set of skills (Format: 'id,id,id').

without_timesheet_submissionstring

Only include users who have not submitted a timesheet in a project between the specified start and end dates. (Format: 'workspace_id:start_date:end_date').

without_usersArray of integers, (int32)

Exclude users for the provided IDs (Format: 'id,id,id').

write_access_ininteger, (int32)

Only includes users who are participating in a project with a specified ID, and are not read-only in the project.

GET
/users
curl -i -X GET \
  'https://api.mavenlink.com/api/v1/users?account_id=0&account_role_ids=string&all_contacts=true&assignable_to_resource=0&belonging_to_orgs=string&by_custom_choice_value=string&by_custom_currency_value=string&by_custom_date_value=string&by_custom_number_value=string&by_custom_text_value=string&by_email_address=string&by_email_addresses=string&by_full_name=string&by_full_name_or_account_role=string&can_be_approver_in_workspace=0&can_view_reports=true&clients_only=true&consultants_only=true&contacts_on_different_account=true&created_after=2019-08-24T14%3A15%3A22Z&created_before=2019-08-24T14%3A15%3A22Z&external_reference_external_message=string&external_reference_external_status=string&external_reference_service_model=string&external_reference_service_model_ref=0&external_reference_service_model_refs=string&external_reference_service_name=string&external_reference_status=string&has_external_references=true&has_value_for_custom_field_ids=string&include=string&is_project_lead=true&managers=false&matching=string&not_assigned_to=0&not_following=0&not_on_calendars=string&not_participant_in=0&on_my_account=true&on_my_account_or_participant_in_workspace=0&only=string&only_possible_managees=true&only_possible_managers=true&optional_fields=bio&order=alphabetical%3Aasc&page=1&participant_in=0&per_page=20&potential_followers_for_story=0&provider_leads_on_account_projects=true&search=string&show_disabled=false&show_users_in_insights_groups=true&updated_after=2019-08-24T14%3A15%3A22Z&updated_before=2019-08-24T14%3A15%3A22Z&with_created_estimates=false&with_organizations=true&with_skills=string&with_users=0&without_external_reference_service_name=string&without_skills=string&without_timesheet_submission=string&without_users=0&write_access_in=0'

Responses

A list of Users have been retrieved.

Bodyapplication/json
countinteger, (int32)
metaobject
resultsArray of objects
usersobject
external_referencesobject
rolesobject
skillsobject
skill_membershipsobject
account_membershipsobject
work_samplesobject
custom_field_valuesobject
Response
{ "count": 0, "meta": { "count": 0, "page_count": 0, "page_number": 0, "page_size": 0 }, "results": [ { "key": "string", "id": "string" } ], "users": { "property1": { "abbreviated_timezone": "string", "account_membership_id": "string", "bio": "string", "city": "string", "classification": "string", "country": "string", "custom_field_value_ids": [ "string" ], "email_address": "string", "external_reference_ids": [ "string" ], "full_name": "string", "headline": "string", "last_site_activity": "2019-08-24T14:15:22Z", "manager_id": "string", "photo_path": "string", "role_id": "string", "skill_ids": [ "string" ], "skill_membership_ids": [ "string" ], "state": "string", "website": "string", "work_sample_ids": [ "string" ] }, "property2": { "abbreviated_timezone": "string", "account_membership_id": "string", "bio": "string", "city": "string", "classification": "string", "country": "string", "custom_field_value_ids": [ "string" ], "email_address": "string", "external_reference_ids": [ "string" ], "full_name": "string", "headline": "string", "last_site_activity": "2019-08-24T14:15:22Z", "manager_id": "string", "photo_path": "string", "role_id": "string", "skill_ids": [ "string" ], "skill_membership_ids": [ "string" ], "state": "string", "website": "string", "work_sample_ids": [ "string" ] } }, "external_references": { "property1": { "created_at": "2019-08-24T14:15:22Z", "external_link": "string", "external_message": "string", "external_status": "string", "last_synced_at": "2019-08-24T14:15:22Z", "locked": true, "service_model": "string", "service_model_ref": "string", "service_name": "string", "status": "string", "subject_id": 0, "subject_ref": { "key": "string", "id": "string" }, "subject_type": "string", "updated_at": "2019-08-24T14:15:22Z" }, "property2": { "created_at": "2019-08-24T14:15:22Z", "external_link": "string", "external_message": "string", "external_status": "string", "last_synced_at": "2019-08-24T14:15:22Z", "locked": true, "service_model": "string", "service_model_ref": "string", "service_name": "string", "status": "string", "subject_id": 0, "subject_ref": { "key": "string", "id": "string" }, "subject_type": "string", "updated_at": "2019-08-24T14:15:22Z" } }, "roles": { "property1": { "created_at": "2019-08-24T14:15:22Z", "deleted_at": "2019-08-24T14:15:22Z", "external_reference_ids": [ "string" ], "name": "string", "updated_at": "2019-08-24T14:15:22Z" }, "property2": { "created_at": "2019-08-24T14:15:22Z", "deleted_at": "2019-08-24T14:15:22Z", "external_reference_ids": [ "string" ], "name": "string", "updated_at": "2019-08-24T14:15:22Z" } }, "skills": { "property1": { "created_at": "2019-08-24T14:15:22Z", "description": "string", "external_reference_ids": [ "string" ], "max_level": "string", "name": "string", "skill_category_id": "string", "updated_at": "2019-08-24T14:15:22Z" }, "property2": { "created_at": "2019-08-24T14:15:22Z", "description": "string", "external_reference_ids": [ "string" ], "max_level": "string", "name": "string", "skill_category_id": "string", "updated_at": "2019-08-24T14:15:22Z" } }, "skill_memberships": { "property1": { "cached_skill_name": "string", "created_at": "2019-08-24T14:15:22Z", "creator_id": "string", "level": 0, "max_level": 0, "skill_id": "string", "updated_at": "2019-08-24T14:15:22Z", "user_id": "string" }, "property2": { "cached_skill_name": "string", "created_at": "2019-08-24T14:15:22Z", "creator_id": "string", "level": 0, "max_level": 0, "skill_id": "string", "updated_at": "2019-08-24T14:15:22Z", "user_id": "string" } }, "account_memberships": { "property1": { "backup_approver_association_ids": [ "string" ], "bill_rate_in_cents": 0, "billability_target": 0, "can_create_workspace": true, "can_log_in": true, "can_view_reports": true, "collaborator_only_license": true, "cost_rate_ids": [ "string" ], "cost_rate_in_cents": 0, "created_at": "2019-08-24T14:15:22Z", "default_read_only": true, "default_role_id": "string", "disabled_at": "2019-08-24T14:15:22Z", "effective_workweek_id": "string", "future_billable_utilization_ids": [ "string" ], "is_administrator": true, "is_backup_approver": true, "is_owner": true, "is_project_lead": true, "is_punch_clock_user": true, "managee_ids": [ "string" ], "manager_can_approve": true, "manager_can_edit_skills": true, "manager_id": "string", "non_participant": true, "permission": "string", "possible_managee_ids": [ "string" ], "possible_manager_ids": [ "string" ], "should_show_alert_on_timesheet_submission": true, "skill_membership_ids": [ "string" ], "updated_at": "2019-08-24T14:15:22Z", "user_id": "string" }, "property2": { "backup_approver_association_ids": [ "string" ], "bill_rate_in_cents": 0, "billability_target": 0, "can_create_workspace": true, "can_log_in": true, "can_view_reports": true, "collaborator_only_license": true, "cost_rate_ids": [ "string" ], "cost_rate_in_cents": 0, "created_at": "2019-08-24T14:15:22Z", "default_read_only": true, "default_role_id": "string", "disabled_at": "2019-08-24T14:15:22Z", "effective_workweek_id": "string", "future_billable_utilization_ids": [ "string" ], "is_administrator": true, "is_backup_approver": true, "is_owner": true, "is_project_lead": true, "is_punch_clock_user": true, "managee_ids": [ "string" ], "manager_can_approve": true, "manager_can_edit_skills": true, "manager_id": "string", "non_participant": true, "permission": "string", "possible_managee_ids": [ "string" ], "possible_manager_ids": [ "string" ], "should_show_alert_on_timesheet_submission": true, "skill_membership_ids": [ "string" ], "updated_at": "2019-08-24T14:15:22Z", "user_id": "string" } }, "work_samples": { "property1": { "attachment_filename": "string", "attachment_id": "string", "description": "string", "title": "string", "trapped_website_url": "string", "website_url": "string" }, "property2": { "attachment_filename": "string", "attachment_id": "string", "description": "string", "title": "string", "trapped_website_url": "string", "website_url": "string" } }, "custom_field_values": { "property1": { "account_id": 0, "can_edit": true, "created_at": "2019-08-24T14:15:22Z", "custom_field_id": "string", "custom_field_name": "string", "display_value": "string", "external_reference_ids": [ "string" ], "selected_choice_ids": [ "string" ], "setter_id": "string", "subject_id": 0, "subject_ref": { "key": "string", "id": "string" }, "subject_type": "string", "type": "string", "updated_at": "2019-08-24T14:15:22Z", "value": "string" }, "property2": { "account_id": 0, "can_edit": true, "created_at": "2019-08-24T14:15:22Z", "custom_field_id": "string", "custom_field_name": "string", "display_value": "string", "external_reference_ids": [ "string" ], "selected_choice_ids": [ "string" ], "setter_id": "string", "subject_id": 0, "subject_ref": { "key": "string", "id": "string" }, "subject_type": "string", "type": "string", "updated_at": "2019-08-24T14:15:22Z", "value": "string" } } }